Should you notice any errors in our documentation, please don’t hesitate to contact us. Thank you!
curl --location --request PUT 'https://www-staging.givve.com//api/users/' \
--header 'Accept-Version: v2' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"password": "string",
"email": "string",
"role_ids": [
"string"
]
}'{
"meta": null,
"data": {
"id": "string",
"created_at": "2022-12-12T14:33:59.199+01:00",
"updated_at": "2024-09-19T14:20:35.205+02:00",
"email": "string",
"name": "string",
"expires_at": null,
"contract_ids": [
"string"
],
"confirmed": true,
"related_clients": [
{
"type": "Customer",
"name": "string",
"number": "string",
"id": "string"
}
],
"is_deletable": true,
"user_roles": [
{
"id": "string",
"role": {
"id": "string",
"name": "string",
"display_name": "string",
"access_tags": [
"string"
],
"created_at": "string",
"updated_at": "string"
},
"created_at": "string",
"updated_at": "string"
}
]
}
}